<html>
<head>
<title>empty</title>
<script language="JavaScript" type="text/JavaScript">

var questionCounter = 0;
var correctCounter = 0;
var currentPage = 1;
var Branch1 = 0;
var Branch2 = 0;
var Branch3 = 0;
var Branch4 = 0;
var Branch5 = 0;
var Branch6 = 0;
var Branch7 = 0;
var Branch8 = 0;
var Branch9 = 0;
var Branch10 = 0;
var Branch11 = 0;
var Branch12 = 0;
var Branch13 = 0;
var Branch14 = 0;
var Branch15 = 0;
var bookmarkchecked = false;
var currentValue;
var thisCurrentValue = false;

function fillVars() {
parent.topEmpty.userName = top.userName;
parent.topEmpty.audioState = "on";
}

</script>

<script type="text/javascript" src="../../APIWrapper.js"></script>
<script type="text/javascript" src="../../SCOFunctions.js"></script>
<script language="JavaScript">
function bookmarkThis(){
	if (LMSIsInitialized()) {
		 var entry = LMSGetValue("cmi.core.entry");
		 if(entry != "ab-initio"){
		     var oldLoc = LMSGetValue("cmi.core.lesson_location");
			 thisPath = oldLoc + ""; 
			 mySliceFileName = thisPath.lastIndexOf("/");
			 mySliceFileName += 1;
			 var old_loc = thisPath.slice(mySliceFileName);
			 //alert(old_loc);
			 var reg = new RegExp("page");
		     if(reg.test(old_loc)&&bookmarkchecked == false && old_loc != '' &&	old_loc.indexOf( '.' ) > 0 && confirm( 'You have previously been in this lesson.\nWould you like to return to the last visited location in the lesson?' ) == true ){
		          window.parent.content.location = old_loc;
		     }
		 }else{
		 	LMSSetValue("cmi.core.lesson_location","");
		 }
	     bookmarkchecked = true;
	}
}

LMSInitialize();
 if (LMSIsInitialized()) {
	currentValue = LMSGetValue("cmi.core.lesson_status");
	if (currentValue != "completed") {
	    LMSSetValue("cmi.core.lesson_status", "incomplete");
	}
	var ii;
    do { 
         ii = ii + 1; 
    } 
    while ((apiIsInitialized == false) && (ii < 500)); 
	startTimer();
	bookmarkThis();
}

function doContinue(){
		doSetValue("adl.nav.request", "continue");
		this.top.close();
		//endSCO("");
		alreadyTerminated = true;
}

function doPrevious(){
		doSetValue("adl.nav.request", "previous");
		this.top.close();
		//endSCO("");
		alreadyTerminated = true;
}
</script> 


</head>

<body onLoad="javascript:fillVars();" onUnload="if(thisCurrentValue==true && currentValue!='complete'){doQuit('completed');}else{doQuit_inc('incomplete');}">

 <!--<body onLoad="javascript:fillVars();">--> 
 
<h3>I'm here</h3>
</body>

</html>
